# -*- coding: utf_8 -*-
from __future__ import with_statement
print "b321"
os.chdir("/home/wcauchois/.sage/sage_notebook/worksheets/admin/30/cells/11")
sage.server.notebook.interact.SAGE_CELL_ID=11
_sage_const_2 = Integer(2); _sage_const_0 = Integer(0); _sage_const_0p5 = RealNumber('0.5')
var('x y')
__tmp__=var("x,y"); f = symbolic_expression(x**_sage_const_2  + y**_sage_const_2).function(x,y)
fx, fy = f.diff(x), f.diff(y)

# Don't be scared by this syntax! interact is really handy.
@interact
def _(x0=slider(-_sage_const_2 , _sage_const_2 , _sage_const_0p5 , _sage_const_0 ), y0=slider(-_sage_const_2 , _sage_const_2 , _sage_const_0p5 , _sage_const_0 )):
    z0 = f(x0, y0)
    # Now we have the point (x0, y0, z0).

    # Plug into the formula for the tangent plane at a point.
    __tmp__=var("x,y"); tangent_plane = symbolic_expression(fx(x0, y0)*(x-x0) + fy(x0, y0)*(y-y0) + z0).function(x,y)

    G = plot3d(f, (x,-_sage_const_2 ,_sage_const_2 ), (y,-_sage_const_2 ,_sage_const_2 ))
    # Now add the plane and the point to the graph G
    G = G + plot3d(tangent_plane, (x,-_sage_const_2 ,_sage_const_2 ), (y,-_sage_const_2 ,_sage_const_2 ), opacity=_sage_const_0p5 , color='green')
    G = G + point((x0, y0, z0), color='red')
    show(G)

print "e321"
